org.apache.solr.highlight

## Class SolrHighlighter

- java.lang.Object
- - org.apache.solr.highlight.SolrHighlighter

- Direct Known Subclasses:
    DefaultSolrHighlighter, PostingsSolrHighlighter

      public abstract class SolrHighlighter
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PHRASE_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrHighlighter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract NamedList<Object>` | `doHighlighting(DocList docs, Query query, SolrQueryRequest req, String[] defaultFields)` Generates a list of Highlighted query fragments for each item in a list of documents, or returns null if highlighting is disabled.
    `protected boolean` | `emptyArray(String[] arr)`
    `String[]` | `getHighlightFields(Query query, SolrQueryRequest request, String[] defaultFields)` Return a String array of the fields to be highlighted.
    `boolean` | `isHighlightingEnabled(SolrParams params)` Check whether Highlighting is enabled for this request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PHRASE_LIMIT

          public static int DEFAULT_PHRASE_LIMIT

  - ### Constructor Detail

    - #### SolrHighlighter

          public SolrHighlighter()

  - ### Method Detail

    - #### isHighlightingEnabled

          public boolean isHighlightingEnabled(SolrParams params)

      Check whether Highlighting is enabled for this request.
      Parameters:
        `params` - The params controlling Highlighting
      Returns:
        `true` if highlighting enabled, `false` if not.

    - #### getHighlightFields

          public String[] getHighlightFields(Query query,
                                             SolrQueryRequest request,
                                             String[] defaultFields)

      Return a String array of the fields to be highlighted. Falls back to the programmatic defaults, or the default search field if the list of fields is not specified in either the handler configuration or the request.
      Parameters:
        `query` - The current Query
        `request` - The current SolrQueryRequest
        `defaultFields` - Programmatic default highlight fields, used if nothing is specified in the handler config or the request.

    - #### emptyArray

          protected boolean emptyArray(String[] arr)

    - #### doHighlighting

          public abstract NamedList<Object> doHighlighting(DocList docs,
                                                           Query query,
                                                           SolrQueryRequest req,
                                                           String[] defaultFields)
                                                    throws IOException

      Generates a list of Highlighted query fragments for each item in a list of documents, or returns null if highlighting is disabled.
      Parameters:
        `docs` - query results
        `query` - the query
        `req` - the current request
        `defaultFields` - default list of fields to summarize
      Returns:
        NamedList containing a NamedList for each document, which in turns contains sets (field, summary) pairs.
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.